const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const article_bookmarks = sequelize.define(
    'article_bookmarks',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

bookmarked_at: {
        type: DataTypes.DATE,
      
      

      },

note: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  article_bookmarks.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





































//end loop



    db.article_bookmarks.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });

    db.article_bookmarks.belongsTo(db.news_articles, {
      as: 'news_article',
      foreignKey: {
        name: 'news_articleId',
      },
      constraints: false,
    });




    db.article_bookmarks.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.article_bookmarks.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return article_bookmarks;
};


